/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package meeting.business.DB;

/**
 *
 * @author Josep
 */
   
import java.io.FileInputStream;
import java.io.IOException;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;
import java.util.Properties;
import java.sql.*;

/**
 * Classe auxiliar per controlad la base dades.
 */
public class DBaccess {

    /**
     * Obtenir una connexió passant els paràmetres definits 
     * @return Retorna una conneció a la base de dadest.
     * @throws IOException 
     * @throws ClassNotFoundException 
     * @throws SQLException 
     */
    public static Connection getConnection() throws IOException, ClassNotFoundException, SQLException {
		
        // Definim la variable de connexió i l a fiquem a "NULL"
        // Per  complir amb les espeficicacions de la definició
        // en cas de que la connexió no es pugui establir retornant NULL
        Connection con =null;

        // Probem de fer la connexió
        try{
            // Assignem el Driver
            Class.forName( "org.postgresql.Driver" );
            // Definim els paràmetres de connexió (adreça de la BD)
            String dbURL="jdbc:postgresql://"+
            ("localhost")+":"+
            ("5432")+"/"+
            ("meeting");
			
            // Realitzem la connexió enviant adreça, usuari i password 
            con = DriverManager.getConnection( dbURL, ("postgres"),("admin"));
	}
	catch (SQLException e) {
            System.out.println("ERROR: "+e);
	} catch (ClassNotFoundException e) {
            System.out.println("ERROR: "+e);
	}
	// Si hi ha un error general retornem error 
	catch (Exception e){
            System.out.println("ERROR: " +e);
	}
        return con;
    }
	
	
    /**
     * Tancament de la connexió a la Base de dades.
     * @param con Connexió en curs que es vol tancar.
     */
    public static void closeConnection( Connection con ) {
	
        try{
		if (con!=null) con.close();
		}
		catch (SQLException e) {
			System.out.println("ERROR: ");
		}
		catch (Exception e) {
			System.out.println("ERROR: ");
		}
	}

 
}

