package SappFramework.Conversors;

import java.util.logging.*;
import SappFramework.Interfaces.IConversor;

/**
 * Conversor de String a Boolean.
 * @author Josep Jiménez
 */
public class ConverClasseBoolean implements IConversor {
static Logger logger = Logger.getLogger(ConverClasseBoolean.class.getName());
    @Override
    public Object conversio(String[] var) {
        Object o =null;
        if(var == null || var.length < 1 ) {
            // si la cadena es buida no retornem res;
        } else {
            try {
                o = Boolean.valueOf("on".equals(var[0]));
            } catch(Exception e) {
               logger.warning("Error: No s'hapogut fer la conversió de string a Boolean ");
            }
        }
        return 0;
    }
 
    @Override
    public Class getClassConversor() { return Boolean.class; }
}
