package SappFramework.Conversors;
import SappFramework.Interfaces.IConversor;

import java.util.logging.*;

/**
 * Conversor de String a double.
 * @author Josep Jiménez
 */
public class Converdouble implements IConversor {
static Logger logger = Logger.getLogger(Converdouble.class.getName());
    @Override
    public Object conversio(String[] var){
        Object o =null;
        if(var == null || var.length < 1 ) {
            o= 0d;
        } else {
            try {
                var[0] = var[0].replace(" ", "");
                o= Double.parseDouble(var[0]);
            } catch(Exception e) {
               logger.warning("Error: No s'hapogut fer la conversió de string a double ");
            }
        }
        return o;
    }

    @Override
    public Class getClassConversor() { return double.class; }
    
}
