package SappFramework.Interfaces;
import javax.servlet.http.HttpServletRequest;


/**
 * <li>Interficie validacio.</li>
 * <li>Defineix el sistema de validació d'un usuari utilitzant l'eina definida al SappFramework.</li>
* @author Josep Jiménez
 */

public interface IValidacio {
    /**
     * Aquesta interficie ha d'implementar un objecte amb la interfici IUsuari per que el SappFramework pugui accedir a les dades d'usuari.
    */
    public IUsuari usuari=null;
    /**
     * Mètode per validar l'usuari a través de la seva paraula clau
    */
    abstract public IUsuari validarSessio(String user, String password, HttpServletRequest request);
    
}