package SappFramework.Annotation;

import SappFramework.Interfaces.IUsuari;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * <li> Annotació per definir que un controlador determinat realitzarà el control de validació d'usuaris.</li>
 * <li> Aquest controlador obligatoriament ha de tenir un atribut am el nom "usuari" definit per la classe "Usuari" que implementa la interficie "IUsuari".</li>
 * @author Josep Jiménez
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface ControlUsuari{
  
    
}