package SappFramework.Conversors;
import SappFramework.Interfaces.IConversor;

import java.util.logging.*;

/**
 * Conversor de String a float.
 * @author Josep Jiménez
 */
public class Converfloat implements IConversor {
static Logger logger = Logger.getLogger(Converfloat.class.getName());

    @Override
    public Object conversio(String[] var){
        Object o =null;
        if(var == null || var.length < 1) {
            o = 0f;
        } else {
            try {
                var[0] = var[0].replace(" ", "");
                o= Float.parseFloat(var[0]);
            } catch(Exception e) {
               logger.warning("Error: No s'hapogut fer la conversió de string a float ");
            }
        }
        return o;
    }

    @Override
    public Class getClassConversor() { return float.class; }
    
}
