package SappFramework.Interfaces;

/**
 * Interficie del sistema de conversió de dades.
 * @author Josep Jiménez
 */
public interface IConversor {
 
    /**
     * Executa la conversió.
     * @param var valors a convertir.
     * @return Objecte resutat de la conversió.
     */
    public Object conversio(String[] var);
    
    /**
     * Retorna el tipus de conversió assignada.
     * @return El tipus que retorna la conversió.
     */
    public Class getClassConversor();
    
}
