package SappFramework.Tags;

import javax.servlet.jsp.tagext.TagSupport;
import javax.servlet.jsp.JspWriter;
import javax.servlet.ServletRequest;
import java.util.Map;
import java.util.HashMap;

import SappFramework.Interfaces.IUsuari;

import java.lang.reflect.Method;
import java.util.logging.*;

/**
 * <li>TAg per Obtenir el nom de l'usuari i el seu rol i el presenta. Els valors els extreu del controlador Usuari del SappFramework </li>
 * @author Josep Jiménez
 */
public class UsuariVal extends TagSupport {
        static Logger logger = Logger.getLogger(UsuariVal.class.getName());	
	private String controladorusuari;
	
            public int doStartTag() {
                ServletRequest request = pageContext.getRequest();
                   
                //Extreure els atributs de l'usuari
                StringBuffer sbsortida= new StringBuffer(" Usuari: ");
                try {
                    Map<String, Object> datapage = (HashMap <String, Object>) (request.  getAttribute("Sappf"));
                    Object contr = datapage.get(controladorusuari);
                    Method met = contr.getClass().getMethod(("getUsuari"), (Class<?>[])new Class<?>[0]);
                    Object o2 =met.invoke(contr, (Object[])new Object[0]);
                    IUsuari user = (IUsuari) o2;
                    
                    if (user.getNom()!=null){
                        sbsortida.append(user.getNom()+" el teu rol es "+ user.getRol());
                        JspWriter out = pageContext.getOut();
                        out.print(sbsortida);
                    }
                    else{
                        sbsortida.append("Convidat");
                        JspWriter out = pageContext.getOut();
                        out.print(sbsortida);
                    }
                    }catch(Exception e) {
                        sbsortida.append("Convidat");
                        JspWriter out = pageContext.getOut();
                        try{
                        out.print(sbsortida);
                        } catch (Exception ex){
                            
                        }
                    }
                    return(EVAL_BODY_INCLUDE);
            }

        public String getControladorusuari() {
            return controladorusuari;
        }

        public void setControladorusuari(String controladorusuari) {
            this.controladorusuari = controladorusuari;
        }


        public int doEndTag() {
                return(EVAL_PAGE); // Continue with rest of JSP page
        }

}
